Subject: Re: Reg: Quality of Service routing

From: "Bob O'Hara" <[email-masked]>
Date: Mon, 21 Dec 1998 16:06:31 -0500

Raghu,

I must disagree.  While the idea of infinite bandwidth is alluring and may
seem
to provide an answer, it does not.

I am highly skeptical that we will ever reach a point where bandwidth will
become so
cheap and so plentiful that it will eliminate all congestion.  I think that
history has 
proved to us that larger pipes are always consumed by new generations of more
demanding
applications.   The trend will no doubt continue.  

Therefore, it is safe to state that bandwidth will NOT eliminate the need for
QOS.  
Likewise, QOS  does not create bandwidth.   

Instead, QOS provides the essential control mechanism for the provision and
guarantee of bandwidth to 
applications with hard requirements.  Because the internet is a shared
resource
by design, software and hardware will have to provide a very large number of
identifiers and queues to deliver on tommorrows applications.
There are many common points of convergence in the internet and thousands,
someday millions of streams of data
will have to be negotiated through a single point while providing a specific
quality of service to each flow.
Bandwidth alone, cannot solve that problem.

Thanks,

Bob

At 01:10 PM 12/21/98 -0600, Richard Carlson wrote:
>Raghu;
>
>This is a very interesting and important question that I don't think gets
>the attention it deserves.  As has been pointed out in other replies to
>your question, the cost of providing 'enough' forwarding capabilities
>(switch/routers, link BW, etc) to prevent packet queuing will be high.  The
>unstated (and I believe suspect) assumption is that the cost of providing
>QoS mechanisms will be lower.  I don't think enough research has been done
>to identify and classify the real costs of deploying a QoS based Internet.
>
>By real costs I mean those charges that are required to build a workable
>global system.  Some simple examples are:
>
>* authentication, can I prove who I am and that I have the authority to
>request this service?
>
>* non-repudiation, can you prove it was really me so you can counter my
>claim that I never used this service?
>
>* charging, who pays for traffic in the non-symmetric data world where the
>web server is the 'source' and the client is the 'sink' for data streams.
>
>* cross domain charging, how do service providers pass charges to each
>other and finally back to the customer.
>
>* equipment requirements, how much will equipment (switches/routers,
>computers) cost when they need to keep track of all the accounting
>information.
>
>I am not trying to say that any one of these issues is expensive by itself,
>but that the combination of all the components needed to build a workable
>global QoS Internet must be addressed.  Only then can a fair comparison be
>made to determine what the best answer is.
>
>Looking at the total picture, I begin to view the technical solution of
>just throwing more packet forwarding capability (faster switches/router,
>links, DWDM muxes, etc.) as very attractive.  The costs for the technology
>will only come down.  Indead, look at the new terabit routers now being
>worked on, wire speed forwarding engines at gigabit speeds in campus
>switch/routers, and optical networks using NxOC-192 DWDMs.  All of these
>technologies tend to decrease in price as time increases.  In contrast, who
>knows what the administrative costs will be and how they will change over
>time?
>
>Building a high quality Internet will not be an easy task.  Right now I
>think it is to early to tell if technological growth or administrative
>constraint is the solution to this interesting problem.
>
>Rich
>
>Raghu V.V.J Vadapalli wrote:
>> 
>> Dear All,
>> 
>> I have one basic question regarding QoS routing.
>> 
>> Do we need QoS routing if we have enough infinite (I mean
>> large ) bandwidth.
>> 
>> From my poor knowledge:
>> 
>> We need QoS routing b'cos we have limited BW and we want
>> to give priority to QoS flows. If some one comes with
>> a Tx system which supports 100s Gb/s,(say 128 channel WDM system)
>> Do we need to support the "special"  status for the QoS flows.
>> May in that case the memory at the routers will be
>> bottleneck.
>> 
>> Am I missing something.
>> With Regards
>> -Raghu.
>------------------------------------
>
>Richard A. Carlson email: [email-masked]
>US Dept of Energy ER-31      Phone: (301) 903-0073
>19901 Germantown Rd Fax:   (301) 903-7774
>Germantown, MD 20874
> 
Robert C. O'Hara
- Corporate Systems Engineer/Customer Services

Avici Systems, Inc. 
101 Billerica Avenue
North Billerica, Massachusetts
01862 

Contact Information
Tel: 978-964-2053 
Fax:  978-964-2100 
Cellular: 617-803-7371  
Cellular text message: [email-masked]
email: [email-masked] 

web: http://www.avici.com